<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
		
        if(!empty($ar_pemda->s_notelinstansi)){
                $notelp = "Telp/Fax  ".$ar_pemda->s_notelinstansi.", ";
        }else{
                $notelp = "";
        }
        ?>
        <div>
            <table width="100%" style="font-family:sans-serif">
                <tr>
                    <td width="10%" style="border: 1px solid #fff;"><img src="<?= $ar_pemda->s_logo ?>" width="60"></td>
                    <td style="text-align:center; padding-right: 10%;border: 1px solid #fff;">
                        <span style="font-size:12pt;font-weight: BOLD;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></span><br>
                        <span style="font-size:15pt;font-weight: BOLD;"><?= strtoupper($ar_pemda->s_namainstansi); ?></span><br>
                        <span style="font-size:10pt;"><?= $ar_pemda->s_alamatinstansi; ?> <?= $notelp ?> <?= $ar_pemda->s_namaibukotakabkota ?> Kode Pos <?= $ar_pemda->s_kodepos ?></span>
                    </td>
                </tr>
            </table>
            <hr style="line-height: 1px; color: black">
            <h3 style="text-align: center;font-family:sans-serif;">REKAPITULASI KETATAPAN DAN SETORAN<BR><?= strtoupper($data_jenis.' '.$data_kecamatan)?></h3>
			<table width="100%" class="font_sembilan" style="text-align: center; padding: 10px 10px 10px 10px;font-family:sans-serif">
                <tr style="background:#ccc;">
                    <th rowspan="2">
                        No.
                    </th>
                    <th rowspan="2">
                        NPWPD
                    </th>
                    <th rowspan="2">
                        Nama WP
                    </th>
                    <th rowspan="2">
                        Nama Objek
                    </th>
                    <th rowspan="2">
                        Kecamatan
                    </th>
                    <th rowspan="2">
                        Masa Pajak
                    </th>
                    <th colspan="2">
                        KETETAPAN
                    </th>
                    <th colspan="2">
                        SETORAN
                    </th>
                </tr>
                <tr style="background:#ccc;">
                    <th>
                        Tgl Ketetapan
                    </th>
                    <th>
                        Jumlah Ketetapan<br>(Rp.)
                    </th>
                    <th>
                        Tgl Setoran
                    </th>
                    <th>
                        Jumlah Setoran<br>(Rp.)
                    </th>
                </tr>
                <?php
                $totalketetapan = 0;
                $totalpembayaran = 0;
                $counter = 1;
                foreach ($this->data as $k => $v) {
                    ?>
                    <tr>
                        <td>
                            <?= $counter ?>
                        </td>
                        <td style="text-align: left">
                            <?= $v['t_npwpd'] ?>
                        </td>
                        <td style="text-align: left">
                            <?= $v['t_nama'] ?>
                        </td>
                        <td style="text-align: left">
                            <?= $v['t_namaobjek'] ?>
                        </td>
                        <td style="text-align: left">
                            <?= $v['s_namakec'] ?>
                        </td>
                        <td style="text-align: center;">
                            <?= date('d-m-Y', strtotime($v['t_masaawal'])) . " s/d " . date('d-m-Y', strtotime($v['t_masaakhir'])) ?>
                        </td>
                        <td>
                            <?=date('d-m-Y', strtotime($v['t_tglpendataan']))?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['t_jmlhpajak'], 0, ',', '.') ?>
                        </td>
                        <td>
                            <?php
                            if(!empty($v['t_tglpembayaran'])){
                                    echo date('d-m-Y', strtotime($v['t_tglpembayaran']));
                            }else{
                                    echo '-';
                            }
                            ?>
                        </td>
                        <td style="text-align: right">
                            <?= number_format($v['t_jmlhpembayaran'], 0, ',', '.') ?>
                        </td>
                    </tr>
                    <?php
                    $totalketetapan += $v['t_jmlhpajak'];
                    $totalpembayaran += $v['t_jmlhpembayaran'];
                    $counter++;
                }
                ?>
                <tr>
                    <td colspan="7" style="text-align: right; font-weight: bold; padding-right: 6px;">
                        Jumlah Total 
                    </td>
                    <td style="text-align: right; font-weight: bold;">
                        <?= number_format($totalketetapan, 0, ',', '.') ?>
                    </td>
                    <td><b>Total</b></td>
                    <td style="text-align: right; font-weight: bold;">
                        <?= number_format($totalpembayaran, 0, ',', '.') ?>
                    </td>
                </tr>
            </table>
        </div>
		<htmlpagefooter name="MyCustomFooter">
        <table style="vertical-align: bottom; font-family: serif;" width="100%">
            <tbody>
                <tr>
                        <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                    <td style="font-style: italic;text-align: left;font-size: 10px;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                    <td style="font-style: italic;text-align: right;font-size: 12px;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                </tr>
            </tbody>
        </table>
    </htmlpagefooter>
    </body>
</html>

<style type="text/css" media="print">
	@page {
        /* ensure you append the header/footer name with 'html_' */
        header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
        footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
    }
    table, th, td {
        border: 1px solid black;
        border-collapse: collapse;
    }
    th {
        padding-left: 5px;
        padding-right: 5px;
    }
/*    td {
        padding-left: 4px;
        padding-right: 4px;
    }*/
    .font_empatbelas {
        font-size: 14pt;
    }    
</style>
